﻿@import url(http://fonts.googleapis.com/css?family=Cabin+Sketch);
@import url(http://fonts.googleapis.com/css?family=Gabriela);

/*aplicar al cuerpo del documento*/
body{
  background-color: hsl(235, 10%, 80%);
  font-family: sans-serif;
  line-height: justify;
}

/*aplicar a todos los encabezados h1*/
h1{
  margin: 0;
  color: hsl(233, 15%, 40%);
  font-family: "Cabin Sketch";
  font-size: 4rem;
  text-align: center;
  text-transform: uppercase;
}

/*aplicar a todos los encabezados h2*/ 
h2{
  margin: 0;
  padding-left: 5px;
  padding-bottom: 5px;
  color: white;
  font-family: "Gabriela";
  font-size: 2rem;
}

/*aplicar a todos los elementos div*/ 
div{
  padding: 2px 10px;
}

/*aplicar a todos los párrafos descendientes de div */
div p{
  margin: 2px;
}

/*aplicar a todos los div pertenecientes a la clase vida*/
div.vida {
  margin: 0 10px;
}

/*aplicar a todos los articles pertenecientes a la clase futbol*/
article.futbol {
  border: hsl(20, 100%, 40%) 3px solid;
  border-radius: 0 20px 20px 20px;
  margin: 10px 50px;
  background-color: hsl(25, 100%, 70%);
}

/*aplicar a todos los h2 descendientes de articles pertenecientes a la clase futbol */
article.futbol h2{
  border-top-right-radius: 16px;
  background-color: hsl(25, 100%, 40%) ;
}

/*aplicar a todos los div pertenecientes a la clase datos descendientes de articles pertenecientes a la clase futbol */
article.futbol div.datos{
  background-color: hsl(25, 100%, 43%);
}

/*aplicar a todos los articles pertenecientes a la clase literatura  */
article.literatura{
  border: hsl(300, 100%, 45%) 3px solid;
  border-radius: 20px 0;
  margin: 10px 50px;
  background-color: hsl(300, 100%, 90%);
}

/*aplicar a todos los h2 descendientes de articles pertenecientes a la clase literatura */
article.literatura h2{
  border-top-left-radius: 16px;
  background-color: hsl(300, 100%, 45%);
}

/*aplicar a todos los div pertenecientes a la clase datos descendientes de articles pertenecientes a la clase literatura */
article.literatura div.datos{
  background-color: hsl(300, 100%, 75%);
}
